Bug 294822 - Storage Crashes when Virtuoso Crashes
Summary: Storage Crashes when Virtuoso Crashes
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: storage (show other bugs)
Version: 4.7
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
: 292356 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-02-25 19:58 UTC by Derek Frazier
Modified: 2013-03-19 17:42 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.10.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Frazier 2012-02-25 19:58:49 UTC
Application: nepomukservicestub (0.2)
KDE Platform Version: 4.7.2 (4.7.2) "release 5"
Qt Version: 4.7.4
Operating System: Linux 3.1.9-1.4-desktop x86_64
Distribution: "openSUSE 12.1 (x86_64)"

-- Information about the crash:
- What I was doing when the application crashed:
Restarting my computer. It happens every time I do so. It only worked for the first few days I installed KDE.

The crash can be reproduced every time.

-- Backtrace:
Application: Nepomuk Service Stub (nepomukservicestub), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f6598b8f760 (LWP 9699))]

Thread 13 (Thread 0x7f657ffff700 (LWP 9748)):
#0  0x00007f6595ff8523 in poll () from /lib64/libc.so.6
#1  0x00007f659544ea98 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f65740008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f659867ac2f in QEventLoop::exec (this=0x7f657fffedf0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f659865daff in QInotifyFileSystemWatcherEngine::run (this=0x8958f0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f6598595025 in QThreadPrivate::start (arg=0x8958f0) at thread/qthread_unix.cpp:331
#9  0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7f657f7fe700 (LWP 9791)):
#0  0x00007fff877b88de in ?? ()
#1  0x00007f6595702e91 in clock_gettime () from /lib64/librt.so.1
#2  0x00007f65985e5114 in do_gettime (frac=0x7f657f7fdb58, sec=0x7f657f7fdb50) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f65986a6d2d in QTimerInfoList::updateCurrentTime (this=0x7f6578001ed0) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007f65986a7063 in QTimerInfoList::timerWait (this=0x7f6578001ed0, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#6  0x00007f65986a5acc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f657f7fdc3c) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f65986a5b75 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f659544db22 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f659544e92d in ?? () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f6578006240, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#12 0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f659867ac2f in QEventLoop::exec (this=0x7f657f7fddd0, flags=...) at kernel/qeventloop.cpp:201
#14 0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#15 0x00007f658a006078 in Soprano::Server::DBusController::run (this=0x87efe0) at /usr/src/debug/soprano-2.7.2/server/dbus/dbuscontroller.cpp:54
#16 0x00007f6598595025 in QThreadPrivate::start (arg=0x87efe0) at thread/qthread_unix.cpp:331
#17 0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#18 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7f657effd700 (LWP 9805)):
#0  0x00007f6598306ff5 in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f659544d369 in g_main_context_release () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f659544eaca in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f656c0008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f659867ac2f in QEventLoop::exec (this=0x7f657effcd80, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#8  0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x84a510) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#9  0x00007f6598595025 in QThreadPrivate::start (arg=0x84a510) at thread/qthread_unix.cpp:331
#10 0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7f657e7fc700 (LWP 9806)):
#0  0x00007fff877b88de in ?? ()
#1  0x00007f6595702e91 in clock_gettime () from /lib64/librt.so.1
#2  0x00007f65985e5114 in do_gettime (frac=0x7f657e7fbb08, sec=0x7f657e7fbb00) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f65986a6d2d in QTimerInfoList::updateCurrentTime (this=0x7f65700020d0) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007f65986a7063 in QTimerInfoList::timerWait (this=0x7f65700020d0, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#6  0x00007f65986a5acc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f657e7fbbec) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f65986a5b75 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f659544db22 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f659544e92d in ?? () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f65700008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#12 0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f659867ac2f in QEventLoop::exec (this=0x7f657e7fbd80, flags=...) at kernel/qeventloop.cpp:201
#14 0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#15 0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x8b5a10) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#16 0x00007f6598595025 in QThreadPrivate::start (arg=0x8b5a10) at thread/qthread_unix.cpp:331
#17 0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#18 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f657dffb700 (LWP 9807)):
#0  0x00007f659544e243 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f659544eab2 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f65640008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f659867ac2f in QEventLoop::exec (this=0x7f657dffad80, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x87ec60) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#8  0x00007f6598595025 in QThreadPrivate::start (arg=0x87ec60) at thread/qthread_unix.cpp:331
#9  0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f657d7fa700 (LWP 9808)):
#0  0x00007f659830701e in pthread_mutex_lock () from /lib64/libpthread.so.0
#1  0x00007f659544e28f in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f659544eab2 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f65680008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f659867ac2f in QEventLoop::exec (this=0x7f657d7f9d80, flags=...) at kernel/qeventloop.cpp:201
#7  0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#8  0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x874fd0) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#9  0x00007f6598595025 in QThreadPrivate::start (arg=0x874fd0) at thread/qthread_unix.cpp:331
#10 0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#11 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f657cff9700 (LWP 9817)):
#0  0x00007fff877b88de in ?? ()
#1  0x00007f6595702e91 in clock_gettime () from /lib64/librt.so.1
#2  0x00007f65985e5114 in do_gettime (frac=0x7f657cff8b08, sec=0x7f657cff8b00) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f65986a6d2d in QTimerInfoList::updateCurrentTime (this=0x7f655c0020d0) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007f65986a7063 in QTimerInfoList::timerWait (this=0x7f655c0020d0, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#6  0x00007f65986a5acc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f657cff8bec) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f65986a5b75 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f659544db22 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f659544e92d in ?? () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f655c0008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#12 0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f659867ac2f in QEventLoop::exec (this=0x7f657cff8d80, flags=...) at kernel/qeventloop.cpp:201
#14 0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#15 0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x868e10) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#16 0x00007f6598595025 in QThreadPrivate::start (arg=0x868e10) at thread/qthread_unix.cpp:331
#17 0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#18 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f655bfff700 (LWP 9824)):
#0  0x00007f659544dbb9 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f659544e92d in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f65540008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f659867ac2f in QEventLoop::exec (this=0x7f655bffed80, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#7  0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x8b24a0) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#8  0x00007f6598595025 in QThreadPrivate::start (arg=0x8b24a0) at thread/qthread_unix.cpp:331
#9  0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#10 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f655b7fe700 (LWP 9825)):
#0  0x00007fff877b88de in ?? ()
#1  0x00007f6595702e91 in clock_gettime () from /lib64/librt.so.1
#2  0x00007f65985e5114 in do_gettime (frac=0x7f655b7fdb08, sec=0x7f655b7fdb00) at tools/qelapsedtimer_unix.cpp:123
#3  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#4  0x00007f65986a6d2d in QTimerInfoList::updateCurrentTime (this=0x7f654c0020d0) at kernel/qeventdispatcher_unix.cpp:339
#5  0x00007f65986a7063 in QTimerInfoList::timerWait (this=0x7f654c0020d0, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#6  0x00007f65986a5acc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f655b7fdbec) at kernel/qeventdispatcher_glib.cpp:136
#7  0x00007f65986a5b75 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#8  0x00007f659544db22 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f659544e92d in ?? () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f654c0008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#12 0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#13 0x00007f659867ac2f in QEventLoop::exec (this=0x7f655b7fdd80, flags=...) at kernel/qeventloop.cpp:201
#14 0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#15 0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x8728c0) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#16 0x00007f6598595025 in QThreadPrivate::start (arg=0x8728c0) at thread/qthread_unix.cpp:331
#17 0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#18 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f655affd700 (LWP 9827)):
#0  0x00007f6595702e75 in clock_gettime () from /lib64/librt.so.1
#1  0x00007f65985e5114 in do_gettime (frac=0x7f655affcb08, sec=0x7f655affcb00) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0x00007f65986a6d2d in QTimerInfoList::updateCurrentTime (this=0x7f6550001ed0) at kernel/qeventdispatcher_unix.cpp:339
#4  0x00007f65986a7063 in QTimerInfoList::timerWait (this=0x7f6550001ed0, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0x00007f65986a5acc in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f655affcbec) at kernel/qeventdispatcher_glib.cpp:136
#6  0x00007f65986a5b75 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0x00007f659544db22 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#8  0x00007f659544e92d in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f65500008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#11 0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#12 0x00007f659867ac2f in QEventLoop::exec (this=0x7f655affcd80, flags=...) at kernel/qeventloop.cpp:201
#13 0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#14 0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x8b7830) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#15 0x00007f6598595025 in QThreadPrivate::start (arg=0x8b7830) at thread/qthread_unix.cpp:331
#16 0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#17 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f655a7fc700 (LWP 9829)):
#0  0x00007f659544ef72 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#1  0x00007f65986a6586 in QEventDispatcherGlib::processEvents (this=0x7f65440008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#2  0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#3  0x00007f659867ac2f in QEventLoop::exec (this=0x7f655a7fbd80, flags=...) at kernel/qeventloop.cpp:201
#4  0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#5  0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x84a7c0) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#6  0x00007f6598595025 in QThreadPrivate::start (arg=0x84a7c0) at thread/qthread_unix.cpp:331
#7  0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#8  0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f6559ffb700 (LWP 9831)):
[KCrash Handler]
#6  0x00007f6592807a70 in Soprano::FilterModel::removeAllStatements (this=0x774ae0, statement=...) at /usr/src/debug/soprano-2.7.2/soprano/filtermodel.cpp:203
#7  0x00007f6589ff1015 in Soprano::Server::ServerConnection::Private::removeAllStatements (this=<optimized out>) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:434
#8  0x00007f6589ff4bcd in Soprano::Server::ServerConnection::Private::_s_readNextCommand (this=0x8ac080) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:200
#9  0x00007f6589ff4db1 in Soprano::Server::ServerConnection::qt_metacall (this=0x84b820, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=<optimized out>) at /usr/src/debug/soprano-2.7.2/build/server/serverconnection.moc:73
#10 0x00007f659868e5aa in QMetaObject::activate (sender=0x7f65480013c0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#11 0x00007f65986d6808 in QIODevice::qt_metacall (this=0x7f65480013c0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7f6559ffa5f0) at .moc/release-shared/moc_qiodevice.cpp:77
#12 0x00007f6594898ea0 in QLocalSocket::qt_metacall (this=0x7f65480013c0, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0x7f6559ffa5f0) at .moc/release-shared/moc_qlocalsocket.cpp:81
#13 0x00007f659868e5aa in QMetaObject::activate (sender=0x7f6548002080, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#14 0x00007f6594892f2f in QAbstractSocketPrivate::canReadNotification (this=0x7f65480020e0) at socket/qabstractsocket.cpp:643
#15 0x00007f6594881b71 in event (this=<optimized out>, e=<optimized out>) at socket/qnativesocketengine.cpp:1103
#16 QReadNotifier::event (this=<optimized out>, e=<optimized out>) at socket/qnativesocketengine.cpp:1100
#17 0x00007f6596791c34 in notify_helper (e=0x7f6559ffab70, receiver=0x7f6548002b30, this=0x62a710) at kernel/qapplication.cpp:4481
#18 QApplicationPrivate::notify_helper (this=0x62a710, receiver=0x7f6548002b30, e=0x7f6559ffab70) at kernel/qapplication.cpp:4453
#19 0x00007f6596796ac1 in QApplication::notify (this=0x7fff876844f0, receiver=0x7f6548002b30, e=0x7f6559ffab70) at kernel/qapplication.cpp:4360
#20 0x00007f6597776e36 in KApplication::notify (this=0x7fff876844f0, receiver=0x7f6548002b30, event=0x7f6559ffab70) at /usr/src/debug/kdelibs-4.7.2/kdeui/kernel/kapplication.cpp:311
#21 0x00007f659867b82c in QCoreApplication::notifyInternal (this=0x7fff876844f0, receiver=0x7f6548002b30, event=0x7f6559ffab70) at kernel/qcoreapplication.cpp:787
#22 0x00007f65986a5c37 in sendEvent (event=0x7f6559ffab70, receiver=<optimized out>) at kernel/qcoreapplication.h:215
#23 socketNotifierSourceDispatch (source=0x7f6548001e00) at kernel/qeventdispatcher_glib.cpp:110
#24 0x00007f659544e58d in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#25 0x00007f659544ed88 in ?? () from /usr/lib64/libglib-2.0.so.0
#26 0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#27 0x00007f65986a651f in QEventDispatcherGlib::processEvents (this=0x7f65480008c0, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#28 0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#29 0x00007f659867ac2f in QEventLoop::exec (this=0x7f6559ffad80, flags=...) at kernel/qeventloop.cpp:201
#30 0x00007f65985925df in QThread::exec (this=<optimized out>) at thread/qthread.cpp:498
#31 0x00007f6589ff34d8 in Soprano::Server::ServerConnection::run (this=0x84b820) at /usr/src/debug/soprano-2.7.2/server/serverconnection.cpp:151
#32 0x00007f6598595025 in QThreadPrivate::start (arg=0x84b820) at thread/qthread_unix.cpp:331
#33 0x00007f6598304f05 in start_thread () from /lib64/libpthread.so.0
#34 0x00007f659600163d in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f6598b8f760 (LWP 9699)):
#0  0x00007f6595ffad33 in select () from /lib64/libc.so.6
#1  0x00007f65986a31ef in qt_safe_select (nfds=13, fdread=0x7fff87682dc0, fdwrite=0x7fff87682e40, fdexcept=0x0, orig_timeout=0x7fff87682d90) at kernel/qcore_unix.cpp:92
#2  0x00007f65986594c8 in select_msecs (nfds=<optimized out>, fdread=<optimized out>, fdwrite=<optimized out>, timeout=<optimized out>) at io/qprocess_unix.cpp:885
#3  0x00007f659865acf5 in QProcessPrivate::waitForFinished (this=0x8a8280, msecs=29927) at io/qprocess_unix.cpp:1101
#4  0x00007f659861b99e in QProcess::waitForFinished (this=0x7fff87682f60, msecs=29927) at io/qprocess.cpp:1742
#5  0x00007f6585aed523 in ?? () from /usr/lib64/soprano/libsoprano_virtuosobackend.so
#6  0x00007f658a22bdcf in ?? () from /usr/lib64/kde4/nepomukstorage.so
#7  0x00007f658a22d94f in ?? () from /usr/lib64/kde4/nepomukstorage.so
#8  0x00007f658a22e274 in ?? () from /usr/lib64/kde4/nepomukstorage.so
#9  0x00007f659868e5aa in QMetaObject::activate (sender=0x80ace0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff87683a10) at kernel/qobject.cpp:3287
#10 0x00007f6585ae99e5 in ?? () from /usr/lib64/soprano/libsoprano_virtuosobackend.so
#11 0x00007f659869215a in QObject::event (this=0x80ace0, e=<optimized out>) at kernel/qobject.cpp:1226
#12 0x00007f6596791c34 in notify_helper (e=0x836a30, receiver=0x80ace0, this=0x62a710) at kernel/qapplication.cpp:4481
#13 QApplicationPrivate::notify_helper (this=0x62a710, receiver=0x80ace0, e=0x836a30) at kernel/qapplication.cpp:4453
#14 0x00007f6596796ac1 in QApplication::notify (this=0x7fff876844f0, receiver=0x80ace0, e=0x836a30) at kernel/qapplication.cpp:4360
#15 0x00007f6597776e36 in KApplication::notify (this=0x7fff876844f0, receiver=0x80ace0, event=0x836a30) at /usr/src/debug/kdelibs-4.7.2/kdeui/kernel/kapplication.cpp:311
#16 0x00007f659867b82c in QCoreApplication::notifyInternal (this=0x7fff876844f0, receiver=0x80ace0, event=0x836a30) at kernel/qcoreapplication.cpp:787
#17 0x00007f659867ec08 in sendEvent (event=0x836a30, receiver=0x80ace0) at kernel/qcoreapplication.h:215
#18 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x60e800) at kernel/qcoreapplication.cpp:1428
#19 0x00007f65986a60c3 in sendPostedEvents () at kernel/qcoreapplication.h:220
#20 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:277
#21 0x00007f659544e58d in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#22 0x00007f659544ed88 in ?? () from /usr/lib64/libglib-2.0.so.0
#23 0x00007f659544ef59 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#24 0x00007f65986a651f in QEventDispatcherGlib::processEvents (this=0x60e430, flags=<optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#25 0x00007f6596834f9e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=<optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#26 0x00007f659867aa32 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#27 0x00007f659867ac2f in QEventLoop::exec (this=0x7fff87684360, flags=...) at kernel/qeventloop.cpp:201
#28 0x00007f659867edf7 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#29 0x0000000000403d70 in ?? ()
#30 0x00007f6595f4923d in __libc_start_main () from /lib64/libc.so.6
#31 0x0000000000404091 in _start ()

This bug may be a duplicate of or related to bug 286690.

Possible duplicates by query: bug 286879, bug 286724.

Reported using DrKonqi
Comment 1 Jekyll Wu 2012-07-06 17:30:56 UTC
*** Bug 292356 has been marked as a duplicate of this bug. ***
Comment 2 Vishesh Handa 2012-12-01 08:03:30 UTC
It seems that one of Soprano::FilterModels does not have a parent, and is asserting cause of that. That is weird cause all the models always have parents, and their parents never ever change.

I'm not sure what to do of this bug report.
Comment 3 Vishesh Handa 2012-12-30 18:52:58 UTC
Confirmed.

Crash virtuoso when some operations are going on in the storage service. The main repository's parent will be set as 0, and then reset to the new virtuoso model. In the middle the other threads can access it and they assert cause the parent of the model = 0.

This can probably be fixed with a mutex. I'm not sure exactly how to go about it.
Comment 4 Vishesh Handa 2013-03-19 17:42:45 UTC
Git commit d93cb74cb99936ed1edd4a10f6d6b05fa6678c7c by Vishesh Handa.
Committed on 11/03/2013 at 19:45.
Pushed by vhanda into branch 'KDE/4.10'.

Repository: Never set the parent to 0

Use a dummy model instead. Setting the parent to 0 can cause a crash
when some other threads are using the model.
FIXED-IN: 4.10.2

M  +3    -1    services/storage/repository.cpp
M  +3    -0    services/storage/repository.h

http://commits.kde.org/nepomuk-core/d93cb74cb99936ed1edd4a10f6d6b05fa6678c7c